﻿using Freebase4net.Operators.Bases;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Freebase4net
{
    public static class Freeb
    {
        static Freeb()
        {
            Operators = new OperatorsManager();
        }

        /// <summary>
        /// Create special value for json key value pair: "[{}]"
        /// </summary>
        /// <returns></returns>
        public static ArrayWithEmptyObject CreateArrayWithEmptyObject()
        {
            return new ArrayWithEmptyObject();
        }

        /// <summary>
        /// Contains methods for creating different operators
        /// </summary>
        public static OperatorsManager Operators { get; set; }
    }
}
